classification
Title: Document the 'optimize' argument to compile()
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.3, Python 3.4
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: docs@python Nosy List: brett.cannon, docs@python, eric.araujo, ezio.melotti, jcea, kushal.das
Priority: normal Keywords:

Created on 2012-11-17 15:52 by brett.cannon, last changed 2012-11-26 17:11 by jcea. This issue is now closed.

Messages (5)
msg175757 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2012-11-17 15:52
Looks like Georg added the flag in 2010 after Python 2.7 was already out, so this doesn't need to be backported.

The possible values are:

-1 : optimization level the interpreter is already executing with
0 : no optimization
1 : -O
2 : -OO
msg175759 - (view) Author: Kushal Das (kushal.das) * (Python committer) Date: 2012-11-17 15:54
I will submit a patch if no one is working on it.
msg175879 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2012-11-18 15:23
No one else is working on it.
msg175951 - (view) Author: Kushal Das (kushal.das) * (Python committer) Date: 2012-11-19 09:16
I guess somebody already did the work http://docs.python.org/3.4/library/functions.html?highlight=compile#compile ?
msg175952 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2012-11-19 09:27
Looks like Georg did: 713c6b6ca5ce.
The documentation is missing on 2.7, but AFAICT that's because the arg is only in 3.2+.
Brett, if you meant that this should be documented somewhere else, feel free to reopen the issue.
History
Date User Action Args
2012-11-26 17:11:24jceasetnosy: + jcea
2012-11-19 09:27:42ezio.melottisetstatus: open -> closed
resolution: out of date
messages: + msg175952

stage: needs patch -> resolved
2012-11-19 09:16:15kushal.dassetmessages: + msg175951
2012-11-18 19:26:29ezio.melottisetnosy: + ezio.melotti
type: enhancement
2012-11-18 15:37:59eric.araujosetnosy: + eric.araujo
2012-11-18 15:23:41brett.cannonsetmessages: + msg175879
2012-11-18 15:23:10brett.cannonunlinkissue15627 dependencies
2012-11-17 15:54:57brett.cannonlinkissue15627 dependencies
2012-11-17 15:54:47kushal.dassetnosy: + kushal.das
messages: + msg175759
2012-11-17 15:52:47brett.cannoncreate